FUNCTION adjust_broaden, spec
;** Broaden spectrum by 1 pixel using a maximum filter kernel of width 3. 
;** Written by Ivan Baldry.

num = n_elements(spec)  &  spec_out = spec

spec_out[1:num-2] = spec[1:num-2] > spec[0:num-3] > spec[2:num-1]

;** edge points, use maximum of two pixels
spec_out[0] = spec[0] > spec[1]
spec_out[num-1] = spec[num-1] > spec[num-2]

return, spec_out

end
