FUNCTION cosine_filter, num, reverse=reverse
;** Rising or falling cosine filter, i.e., a cosine bell taper. 
;** Written by Ivan Baldry.

phase = dindgen(num)/(num-1) * !dpi

if keyword_set(reverse) EQ 0 then $
  filter = 0.5 * (1.0 - cos(phase)) else $
  filter = 0.5 * (1.0 + cos(phase))

return, filter

end
