FUNCTION criteria_peak, values
;** Determine where local peak values are in data. 
;** Written by Ivan Baldry. 

num = n_elements(values)
out = bytarr(num)

out[1:num-2] = (values[1:num-2] GE values[0:num-3]) and $
               (values[1:num-2] GT values[2:num-1])

return, out

end
