FUNCTION poly_calc, coefficients, x_values
;** Output result of polymonial function. 
;** For general use with any order of polynomial. 
;** Written by Ivan Baldry.

order = n_elements(coefficients) - 1

y_values = x_values*0 + coefficients[0]
for i=1,order do y_values = y_values + coefficients[i]*(x_values^i)

return, y_values

end
