FUNCTION med_smooth, spec, med_width, smooth_width
;** Median filter a spectrum then smooth. 
;** Written by Ivan Baldry. 

;** Smooth with median filter. 
outspec = median_adjust(spec, med_width)

;** Further smooth using standard boxcar smoothing. 
outspec = smooth(outspec, smooth_width, /edge_truncate)

return, outspec

end
